Page 1 of 1

Magneto - python [Solved]

Posted: Fri Nov 25, 2011 23:33
by raman
I don't know if this is bug or not.
magneto is working with python 2.7
We have:

Code: Select all

eselect python list
Available Python interpreters:
  [1]   python2.7 *
  [2]   python3.2
Earlier I switch python to [2] and magneto stop working:
$ magneto
Traceback (most recent call last):
File "/usr/lib/entropy/magneto/magneto.py", line 90, in <module>
_startup()
File "/usr/lib/entropy/magneto/magneto.py", line 60, in _startup
from magneto.gtk.interfaces import Magneto
File "/usr/lib/entropy/magneto/magneto/gtk/interfaces.py", line 18, in <module>
import gtk
ImportError: No module named gtk
So I switch back to version python2.7 and everything start working. Was my mistake to try use newer version of python, or magneto must be change to use new python?

Re: Magneto - python

Posted: Fri Nov 25, 2011 23:58
by genfool
you are fine, entropy and magneto is built with python 2.7
You now have an option to switch between python for different apps, then switch back to 2.7 for normal use.

iirc entropy will only run from 2.7

Re: Magneto - python

Posted: Fri Dec 02, 2011 4:15
by albfneto
i have in mind that in Sabayon, Python 3 is experimental and for tests.
many applications are still using python 2.7.
for this,only switch to python3 for testing purposes, and NOT carry the command "python-updater"

Re: Magneto - python

Posted: Fri Dec 02, 2011 7:14
by raman
Thx for replay.